program nadovezivanje (input, output);

 var a, b, c, prvi, drugi, treci:longint;
 var a1, b1, c1, max, min:real;

begin
 read(a, b, c);

 a1:=a; b1:=b; c1:=c;
 while a1>=10 do
  a1:=a1/10;
 while b1>=10 do
  b1:=b1/10;
 while c1>=10 do
  c1:=c1/10;

 max:=a1;
 if b1>max then max:=b1;
 if c1>max then max:=c1;

 min:=a1;
 if b1<min then min:=b1;
 if c1<min then min:=c1;

 if max=a1 then prvi:=a else
  if max=b1 then prvi:=b else
   if max=c1 then prvi:=c;

 if min=a1 then treci:=a else
  if min=b1 then treci:=b else
   if min=c1 then treci:=c;

 if ((prvi=a) and (treci=c)) or ((prvi=c) and (treci=a)) then drugi:=b;
 if ((prvi=a) and (treci=b)) or ((prvi=b) and (treci=a)) then drugi:=c;
 if ((prvi=b) and (treci=c)) or ((prvi=c) and (treci=b)) then drugi:=a;

 writeln(prvi,drugi,treci);
end.